$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formPersonal").on("submit", function (e) {
        guardaryeditarPersonal(e);
    });
    $("#formAcademico").on("submit", function (e) {
        guardaryeditarAcademico(e);
    });
    $("#formDiscapacidad").on("submit", function (e) {
        guardaryeditarDiscapacidad(e);
    });
    $("#formResidencia").on("submit", function (e) {
        guardaryeditarResidencia(e);
    });
    $("#formProcedencia").on("submit", function (e) {
        guardaryeditarProcedencia(e);
    });
});

$(".tablas").on("click", ".btnActivarPersona", function () {
    var personadbk = $(this).attr("idPersona");
    var estado = $(this).attr("estadoPersona");
    var datos = new FormData();
    datos.append("activarId", personadbk);
    datos.append("activarPersona", estado);
    $.ajax({
        url: "../../controller/persona.php?op=estado",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        success: function (data) {
        }
    })
    if (estado == "INACTIVO") {
        $(this).removeClass('btn-success');
        $(this).addClass('btn-danger');
        $(this).html('Inactivo');
        $(this).attr('estadoPersona', "ACTIVO");
    } else {
        $(this).addClass('btn-success');
        $(this).removeClass('btn-danger');
        $(this).html('Activo');
        $(this).attr('estadoPersona', "INACTIVO");
    }
})

function guardaryeditarPersonal(e) {
    e.preventDefault();
    var formData = new FormData($("#formPersonal")[0]);
    $.ajax({
        url: '../../controller/persona.php?op=actualizar_personal',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#persona-data').DataTable().ajax.reload();
            $('#mantenimiento').modal('show');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
function guardaryeditarAcademico(e) {
    e.preventDefault();
    var formData = new FormData($("#formAcademico")[0]);
    $.ajax({
        url: '../../controller/academico.php?op=insertarActualizar',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#persona-data').DataTable().ajax.reload();
            $('#mantenimiento').modal('show');

            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
function guardaryeditarDiscapacidad(e) {
    e.preventDefault();
    var formData = new FormData($("#formDiscapacidad")[0]);
    $.ajax({
        url: '../../controller/discapacidad.php?op=insertarActualizar',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#persona-data').DataTable().ajax.reload();
            $('#mantenimiento').modal('show');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
function guardaryeditarResidencia(e) {
    e.preventDefault();
    var formData = new FormData($("#formResidencia")[0]);
    $.ajax({
        url: '../../controller/residencia.php?op=insertarActualizar',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#persona-data').DataTable().ajax.reload();
            $('#mantenimiento').modal('show');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
function guardaryeditarProcedencia(e) {
    e.preventDefault();
    var formData = new FormData($("#formProcedencia")[0]);
    $.ajax({
        url: '../../controller/procedencia.php?op=insertarActualizar',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#persona-data').DataTable().ajax.reload();
            $('#mantenimiento').modal('show');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
$(document).ready(function () {
    $.post("../../controller/persona.php?op=hombres", function (data) {
        data = JSON.parse(data);
        $('#txtHombres').html(data.hombres);
    });
    $.post("../../controller/persona.php?op=mujeres", function (data) {
        data = JSON.parse(data);
        $('#txtMujeres').html(data.mujeres);
    });
    $.post("../../controller/discapacidad.php?op=discapacidad", function (data) {
        data = JSON.parse(data);
        $('#txtDiscapacidad').html(data.discapacidad);
    });
    $.post("../../controller/residencia.php?op=quito", function (data) {
        data = JSON.parse(data);
        $('#txtQuito').html(data.quito);
    });
    combo_tipoIdentificacion();
    combo_sexoId();
    combo_generoId();
    combo_estadoCivilId();
    combo_etniaId();
    combo_puebloNacionalidadId();
    combo_tipoSangre();
    combo_tipoColegioId();
    combo_otroTitulo();
    combo_nivel();
    combo_otraCarrera();
    combo_discapacidadId();
    combo_tipoDiscapacidadId();
    combo_resPais();
    combo_resProvincia();
    combo_Canton();
    combo_procProvincia();
    $('#persona-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/persona.php?op=listar&fil=all",
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
    $('#persona-hombres-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/persona.php?op=listar&fil=H",
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
    $('#persona-mujeres-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/persona.php?op=listar&fil=M",
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
    $('#persona-discapacidad-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/persona.php?op=listar&fil=D",
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
    $('#persona-resumen-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/persona.php?op=resumen",
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
    $('#persona-residencia-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/persona.php?op=residencia",
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
    $('#persona-residenciaE-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/persona.php?op=residenciaE",
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
    //GRAFICOS DE ESTADO CIVIL HOMBRES
    $.ajax({
        url: "../../controller/persona.php?op=grafico-estado-civil&sexo=9",
        type: "post",
        success: function (respuesta) {
            var data = JSON.parse(respuesta);
            var temas = [];
            var valores = [];
            for (let index = 0; index < data.length; index++) {
                temas.push(data[index][1]);
                valores.push(data[index][0]);
            }
            //ESTADO CIVIL - HOMBRES (AZUL)
            var areaChartCanvas = $('#areaChart').get(0).getContext('2d');
            var areaChartData = {
                labels: temas,
                datasets: [
                    {
                        label: 'Activos',
                        backgroundColor: 'rgba(60,141,188,0.9)',
                        borderColor: 'rgb(0,0,0)',
                        pointRadius: true,
                        pointColor: 'rgba(242, 242, 242, 242)',
                        pointStrokeColor: 'rgb(242,242,242)',
                        pointHighlightFill: '#f2f2f2',
                        pointHighlightStroke: 'rgb(242,242,242)',
                        data: valores
                    }
                ]
            }
            var areaChartOptions = {
                maintainAspectRatio: true,
                responsive: true,
                legend: {
                    display: true
                },
                scales: {
                    xAxes: [{
                            gridLines: {
                                display: false,
                            }
                        }],
                    yAxes: [{
                            gridLines: {
                                display: false,
                            }
                        }]
                }
            }
            new Chart(areaChartCanvas, {
                type: 'line',
                data: areaChartData,
                options: areaChartOptions
            })
            //ESTADO CIVIL - HOMBRES (ROJO)
            var donutData = {
                labels: temas,
                datasets: [
                    {
                        data: valores,
                        backgroundColor: ['#f56954', '#00a65a', '#f39c12', '#00c0ef', '#3c8dbc', '#d2d6de'],
                    }
                ]
            }
            var pieChartCanvas = $('#pieChart').get(0).getContext('2d')
            var pieData = donutData;
            var pieOptions = {
                maintainAspectRatio: false,
                responsive: true,
            }
            new Chart(pieChartCanvas, {
                type: 'pie',
                data: pieData,
                options: pieOptions
            })
        }
    });
    //GRAFICO DE EDAD HOMBRES
    $.ajax({
        url: "../../controller/persona.php?op=grafico-edad&sexo=9",
        type: "post",
        success: function (respuesta) {
            var data = JSON.parse(respuesta);
            var temas = [];
            var valores = [];
            for (let index = 0; index < data.length; index++) {
                temas.push(data[index][1]);
                valores.push(data[index][0]);
            }
            var areaChartDataEdad = {
                labels: temas,
                datasets: [
                    {
                        label: 'Edad',
                        backgroundColor: 'rgba(60,141,188,0.9)',
                        borderColor: 'rgb(0,0,0)',
                        pointRadius: true,
                        pointColor: 'rgba(242, 242, 242, 242)',
                        pointStrokeColor: 'rgb(242,242,242)',
                        pointHighlightFill: '#f2f2f2',
                        pointHighlightStroke: 'rgb(242,242,242)',
                        data: valores
                    }
                ]
            }
            //EDAD
            var barChartData = $.extend(true, {}, areaChartDataEdad)
            var temp0 = areaChartDataEdad.datasets[0]
            barChartData.datasets[0] = temp0
            //---------------------
            //- STACKED BAR CHART -
            //---------------------
            var stackedBarChartCanvas = $('#stackedBarChart').get(0).getContext('2d')
            var stackedBarChartData = $.extend(true, {}, barChartData)
            var stackedBarChartOptions = {
                responsive: true,
                maintainAspectRatio: false,
                scales: {
                    xAxes: [{
                            stacked: true,
                        }],
                    yAxes: [{
                            stacked: true
                        }]
                }
            }

            new Chart(stackedBarChartCanvas, {
                type: 'bar',
                data: stackedBarChartData,
                options: stackedBarChartOptions
            })
        }
    });
    //GRAFICO ETNIA HOMBRES
    $.ajax({
        url: "../../controller/persona.php?op=grafico-etnia&sexo=9",
        type: "post",
        success: function (respuesta) {
            var data = JSON.parse(respuesta);
            var temas = [];
            var valores = [];
            for (let index = 0; index < data.length; index++) {
                temas.push(data[index][1]);
                valores.push(data[index][0]);
            }
            var donutChartCanvas = $('#GraficoEtniaPersona').get(0).getContext('2d')
            var EtniaData = {
                labels: temas,
                datasets: [
                    {
                        data: valores,
                        backgroundColor: ['#f56954', '#00a65a', '#f39c12', '#00c0ef', '#3c8dbc', '#d2d6de'],
                    }
                ]
            }
            var donutOptions = {
                maintainAspectRatio: false,
                responsive: true,
            }
            //Create pie or douhnut chart
            // You can switch between pie and douhnut using the method below.
            new Chart(donutChartCanvas, {
                type: 'doughnut',
                data: EtniaData,
                options: donutOptions
            })
        }
    });
//GRAFICOS DE ESTADO CIVIL MUJERES
    $.ajax({
        url: "../../controller/persona.php?op=grafico-estado-civil&sexo=10",
        type: "post",
        success: function (respuesta) {
            var data = JSON.parse(respuesta);
            var temas = [];
            var valores = [];
            for (let index = 0; index < data.length; index++) {
                temas.push(data[index][1]);
                valores.push(data[index][0]);
            }
            //ESTADO CIVIL - MUJERES (AZUL)
            var areaChartCanvas = $('#areaChartM').get(0).getContext('2d');
            var areaChartData = {
                labels: temas,
                datasets: [
                    {
                        label: 'Activos',
                        backgroundColor: 'rgba(60,141,188,0.9)',
                        borderColor: 'rgb(0,0,0)',
                        pointRadius: true,
                        pointColor: 'rgba(242, 242, 242, 242)',
                        pointStrokeColor: 'rgb(242,242,242)',
                        pointHighlightFill: '#f2f2f2',
                        pointHighlightStroke: 'rgb(242,242,242)',
                        data: valores
                    }
                ]
            }
            var areaChartOptions = {
                maintainAspectRatio: true,
                responsive: true,
                legend: {
                    display: true
                },
                scales: {
                    xAxes: [{
                            gridLines: {
                                display: false,
                            }
                        }],
                    yAxes: [{
                            gridLines: {
                                display: false,
                            }
                        }]
                }
            }
            new Chart(areaChartCanvas, {
                type: 'line',
                data: areaChartData,
                options: areaChartOptions
            })
            //ESTADO CIVIL - MUJERES (ROJO)
            var donutData = {
                labels: temas,
                datasets: [
                    {
                        data: valores,
                        backgroundColor: ['#f56954', '#00a65a', '#f39c12', '#00c0ef', '#3c8dbc', '#d2d6de'],
                    }
                ]
            }
            var pieChartCanvas = $('#pieChartM').get(0).getContext('2d')
            var pieData = donutData;
            var pieOptions = {
                maintainAspectRatio: false,
                responsive: true,
            }
            new Chart(pieChartCanvas, {
                type: 'pie',
                data: pieData,
                options: pieOptions
            })
        }
    });
    //GRAFICO DE EDAD MUJERES
    $.ajax({
        url: "../../controller/persona.php?op=grafico-edad&sexo=10",
        type: "post",
        success: function (respuesta) {
            var data = JSON.parse(respuesta);
            var temas = [];
            var valores = [];
            for (let index = 0; index < data.length; index++) {
                temas.push(data[index][1]);
                valores.push(data[index][0]);
            }
            var areaChartDataEdad = {
                labels: temas,
                datasets: [
                    {
                        label: 'Edad',
                        backgroundColor: 'rgba(60,141,188,0.9)',
                        borderColor: 'rgb(0,0,0)',
                        pointRadius: true,
                        pointColor: 'rgba(242, 242, 242, 242)',
                        pointStrokeColor: 'rgb(242,242,242)',
                        pointHighlightFill: '#f2f2f2',
                        pointHighlightStroke: 'rgb(242,242,242)',
                        data: valores
                    }
                ]
            }
            //EDAD
            var barChartData = $.extend(true, {}, areaChartDataEdad)
            var temp0 = areaChartDataEdad.datasets[0]
            barChartData.datasets[0] = temp0
            //---------------------
            //- STACKED BAR CHART -
            //---------------------
            var stackedBarChartCanvas = $('#stackedBarChartM').get(0).getContext('2d')
            var stackedBarChartData = $.extend(true, {}, barChartData)
            var stackedBarChartOptions = {
                responsive: true,
                maintainAspectRatio: false,
                scales: {
                    xAxes: [{
                            stacked: true,
                        }],
                    yAxes: [{
                            stacked: true
                        }]
                }
            }

            new Chart(stackedBarChartCanvas, {
                type: 'bar',
                data: stackedBarChartData,
                options: stackedBarChartOptions
            })
        }
    });
    //GRAFICO ETNIA MUJERES
    $.ajax({
        url: "../../controller/persona.php?op=grafico-etnia&sexo=10",
        type: "post",
        success: function (respuesta) {
            var data = JSON.parse(respuesta);
            var temas = [];
            var valores = [];
            for (let index = 0; index < data.length; index++) {
                temas.push(data[index][1]);
                valores.push(data[index][0]);
            }
            var donutChartCanvas = $('#GraficoEtniaPersonaM').get(0).getContext('2d')
            var EtniaData = {
                labels: temas,
                datasets: [
                    {
                        data: valores,
                        backgroundColor: ['#f56954', '#00a65a', '#f39c12', '#00c0ef', '#3c8dbc', '#d2d6de'],
                    }
                ]
            }
            var donutOptions = {
                maintainAspectRatio: false,
                responsive: true,
            }
            //Create pie or douhnut chart
            // You can switch between pie and douhnut using the method below.
            new Chart(donutChartCanvas, {
                type: 'doughnut',
                data: EtniaData,
                options: donutOptions
            })
        }
    });
    //GRAFICOS DE DISCAPACIDAD SI-NO
    $.ajax({
        url: "../../controller/discapacidad.php?op=grafico-discapacidad",
        type: "post",
        success: function (respuesta) {
            var data = JSON.parse(respuesta);
            var temas = [];
            var valores = [];
            for (let index = 0; index < data.length; index++) {
                temas.push(data[index][1]);
                valores.push(data[index][0]);
            }
            //ESTADO CIVIL - MUJERES (ROJO)
            var donutData = {
                labels: temas,
                datasets: [
                    {
                        data: valores,
                        backgroundColor: ['#f56954', '#00a65a', '#f39c12', '#00c0ef', '#3c8dbc', '#d2d6de'],
                    }
                ]
            }
            var pieChartCanvas = $('#pieChartD').get(0).getContext('2d')
            var pieData = donutData;
            var pieOptions = {
                maintainAspectRatio: false,
                responsive: true,
            }
            new Chart(pieChartCanvas, {
                type: 'pie',
                data: pieData,
                options: pieOptions
            })
        }
    });
    //GRAFICOS DE TIPOS DE DISCAPACIDAD
    $.ajax({
        url: "../../controller/discapacidad.php?op=grafico-tipo-discapacidad",
        type: "post",
        success: function (respuesta) {
            var data = JSON.parse(respuesta);
            var temas = [];
            var valores = [];
            for (let index = 0; index < data.length; index++) {
                temas.push(data[index][1]);
                valores.push(data[index][0]);
            }
            var areaChartDataDiscapacidad = {
                labels: temas,
                datasets: [
                    {
                        label: 'Discapacidad',
                        backgroundColor: 'rgba(60,141,188,0.9)',
                        borderColor: 'rgb(0,0,0)',
                        pointRadius: true,
                        pointColor: 'rgba(242, 242, 242, 242)',
                        pointStrokeColor: 'rgb(242,242,242)',
                        pointHighlightFill: '#f2f2f2',
                        pointHighlightStroke: 'rgb(242,242,242)',
                        data: valores
                    }
                ]
            }
            //EDAD
            var barChartData = $.extend(true, {}, areaChartDataDiscapacidad)
            var temp0 = areaChartDataDiscapacidad.datasets[0]
            barChartData.datasets[0] = temp0
            //---------------------
            //- STACKED BAR CHART -
            //---------------------
            var stackedBarChartCanvas = $('#stackedBarChartD').get(0).getContext('2d')
            var stackedBarChartData = $.extend(true, {}, barChartData)
            var stackedBarChartOptions = {
                responsive: true,
                maintainAspectRatio: false,
                scales: {
                    xAxes: [{
                            stacked: true,
                        }],
                    yAxes: [{
                            stacked: true
                        }]
                }
            }
            new Chart(stackedBarChartCanvas, {
                type: 'bar',
                data: stackedBarChartData,
                options: stackedBarChartOptions
            })
        }
    });
    //GRAFICO ESTUDIANTES POR PROVINCIA
    $.ajax({
        url: "../../controller/persona.php?op=grafico-provincias",
        type: "post",
        success: function (respuesta) {
            var data = JSON.parse(respuesta);
            var temas = [];
            var valores = [];
            for (let index = 0; index < data.length; index++) {
                temas.push(data[index][1]);
                valores.push(data[index][0]);
            }
            var areaChartDataProvincias = {
                labels: temas,
                datasets: [
                    {
                        label: 'Estudiantes por Provincia',
                        backgroundColor: 'rgba(60,141,188,0.9)',
                        borderColor: 'rgb(0,0,0)',
                        pointRadius: true,
                        pointColor: 'rgba(242, 242, 242, 242)',
                        pointStrokeColor: 'rgb(242,242,242)',
                        pointHighlightFill: '#f2f2f2',
                        pointHighlightStroke: 'rgb(242,242,242)',
                        data: valores
                    }
                ]
            }
            //EDAD
            var barChartData = $.extend(true, {}, areaChartDataProvincias)
            var temp0 = areaChartDataProvincias.datasets[0]
            barChartData.datasets[0] = temp0
            //---------------------
            //- STACKED BAR CHART -
            //---------------------
            var stackedBarChartCanvas = $('#stackedBarChartP').get(0).getContext('2d')
            var stackedBarChartData = $.extend(true, {}, barChartData)
            var stackedBarChartOptions = {
                responsive: true,
                maintainAspectRatio: false,
                scales: {
                    xAxes: [{
                            stacked: true,
                        }],
                    yAxes: [{
                            stacked: true
                        }]
                }
            }
            new Chart(stackedBarChartCanvas, {
                type: 'bar',
                data: stackedBarChartData,
                options: stackedBarChartOptions
            })
        }
    });    
    //GRAFICO ESTUDIANTES POR CANTON
    $.ajax({
        url: "../../controller/persona.php?op=grafico-cantones",
        type: "post",
        success: function (respuesta) {
            var data = JSON.parse(respuesta);
            var temas = [];
            var valores = [];
            for (let index = 0; index < data.length; index++) {
                temas.push(data[index][1]);
                valores.push(data[index][0]);
            }
            var areaChartDataCanton = {
                labels: temas,
                datasets: [
                    {
                        label: 'Estudiantes por Cantones',
                        backgroundColor: 'rgba(f,f,f,f)',
                        borderColor: 'rgb(0,0,0)',
                        pointRadius: true,
                        pointColor: 'rgba(242, 242, 242, 242)',
                        pointStrokeColor: 'rgb(242,242,242)',
                        pointHighlightFill: '#f2f2f2',
                        pointHighlightStroke: 'rgb(242,242,242)',
                        data: valores
                    }
                ]
            }
            //EDAD
            var barChartData = $.extend(true, {}, areaChartDataCanton)
            var temp0 = areaChartDataCanton.datasets[0]
            barChartData.datasets[0] = temp0
            //---------------------
            //- STACKED BAR CHART -
            //---------------------
            var stackedBarChartCanvas = $('#stackedBarChartC').get(0).getContext('2d')
            var stackedBarChartData = $.extend(true, {}, barChartData)
            var stackedBarChartOptions = {
                responsive: true,
                maintainAspectRatio: false,
                scales: {
                    xAxes: [{
                            stacked: true,
                        }],
                    yAxes: [{
                            stacked: true
                        }]
                }
            }
            new Chart(stackedBarChartCanvas, {
                type: 'bar',
                data: stackedBarChartData,
                options: stackedBarChartOptions
            })
        }
    });        
});

function combo_tipoIdentificacion() {
    $.post("../../controller/catalogo.php?op=tipoIdentificacion", function (data) {
        $('#tipoDocumentoId').html(data);
    });
}
function combo_sexoId() {
    $.post("../../controller/catalogo.php?op=sexo", function (data) {
        $('#sexoId').html(data);
    });
}
function combo_generoId() {
    $.post("../../controller/catalogo.php?op=genero", function (data) {
        $('#generoId').html(data);
    });
}
function combo_estadoCivilId() {
    $.post("../../controller/catalogo.php?op=estadoCivil", function (data) {
        $('#estadoCivilId').html(data);
    });
}
function combo_etniaId() {
    $.post("../../controller/catalogo.php?op=etnia", function (data) {
        $('#etniaId').html(data);
    });
}
function combo_puebloNacionalidadId() {
    $.post("../../controller/catalogo.php?op=puebloNacionalidad", function (data) {
        $('#puebloNacionalidadId').html(data);
    });
}
function combo_tipoSangre() {
    $.post("../../controller/catalogo.php?op=sangre", function (data) {
        $('#tipoSangre').html(data);
    });
}
function combo_tipoColegioId() {
    $.post("../../controller/catalogo.php?op=tipoColegio", function (data) {
        $('#tipoColegioId').html(data);
    });
}
function combo_otroTitulo() {
    $.post("../../controller/catalogo.php?op=otroTitulo", function (data) {
        $('#otroTitulo').html(data);
    });
}
function combo_nivel() {
    $.post("../../controller/catalogo.php?op=nivel", function (data) {
        $('#nivel').html(data);
    });
}
function combo_otraCarrera() {
    $.post("../../controller/catalogo.php?op=otraCarrera", function (data) {
        $('#otraCarrera').html(data);
    });
}
function combo_discapacidadId() {
    $.post("../../controller/catalogo.php?op=discapacidadId", function (data) {
        $('#discapacidadId').html(data);
    });
}
function combo_tipoDiscapacidadId() {
    $.post("../../controller/catalogo.php?op=tipoDiscapacidadId", function (data) {
        $('#tipoDiscapacidadId').html(data);
    });
}
function combo_resPais() {
    $.post("../../controller/pais.php?op=combo", function (data) {
        $('#res_pais').html(data);
        $('#proc_pais').html(data);
    });
}
function combo_resProvincia() {
    $.post("../../controller/provincia.php?op=combo", {pais_id: 56}, function (data) {
        $('#res_provincia').html(data);
    });
}
function combo_Canton() {
    $.post("../../controller/canton.php?op=comboCanton", function (data) {
        $('#res_canton').html(data);
        $('#proc_canton').html(data);
    });
}
function combo_resCanton() {
    $.post("../../controller/canton.php?op=combo", {prov_id: $('#res_provincia').val()}, function (data) {
        $('#res_canton').html(data);
    });
}
function combo_procProvincia() {
    $.post("../../controller/provincia.php?op=combo", {pais_id: 56}, function (data) {
        $('#proc_provincia').html(data);
    });
}
function combo_procCanton() {
    $.post("../../controller/canton.php?op=combo", {prov_id: $('#proc_provincia').val()}, function (data) {
        $('#proc_canton').html(data);
    });
}
$("#etniaId").change(function () {
    if ($("#etniaId").val() == "18") {
        $("#puebloNacionalidadId").removeAttr('disabled');
    } else {
        $("#puebloNacionalidadId").val(60);
        $("#puebloNacionalidadId").prop('disabled', 'disabled');
    }
})
$("#otroTitulo").change(function () {
    if ($("#otroTitulo").val() == "76") {
        $("#nivel").removeAttr('disabled');
    } else {
        $("#nivel").val(82);
        $("#nivel").prop('disabled', 'disabled');
    }
})
$("#otraCarrera").change(function () {
    if ($("#otraCarrera").val() == "76") {
        $("#otraInstitucion").removeAttr('disabled');
    } else {
        $("#otraInstitucion").val("NA");
        $("#otraInstitucion").prop('disabled', 'disabled');
    }
})
$("#discapacidadId").change(function () {
    if ($("#discapacidadId").val() == "76") {
        $("#porcentajeDiscapacidad").removeAttr('disabled');
        $("#numCarnetConadis").removeAttr('disabled');
        $("#tipoDiscapacidadId").removeAttr('disabled');
    } else {
        $("#porcentajeDiscapacidad").val("0");
        $("#numCarnetConadis").val("NA")
        $("#tipoDiscapacidadId").val(89);
        $("#porcentajeDiscapacidad").prop('disabled', 'disabled');
        $("#numCarnetConadis").prop('disabled', 'disabled');
        $("#tipoDiscapacidadId").prop('disabled', 'disabled');
    }
})
$("#res_pais").change(function () {
    $("#res_pais option:selected").each(function () {
        pais_id = $(this).val();
        if (pais_id == 56) {
            $("#res_provincia").removeAttr('disabled');
            $("#res_provincia").show();
            $("#res_provinciatxt").hide();
            $("#res_cantontxt").hide();
            $("#res_canton").show();
            combo_resProvincia();
        } else {
            $("#res_provincia").hide();
            $("#res_provinciatxt").show();
            $("#res_canton").hide();
            $("#res_cantontxt").show();
            $("#res_provinciatxt").removeAttr('disabled');
            $("#res_cantontxt").removeAttr('disabled');
        }
    })
})
$("#res_provincia").change(function () {
    $("#res_provincia option:selected").each(function () {
        prov_id = $(this).val();
        $("#res_canton").removeAttr('disabled');
        combo_resCanton();
    })
})
$("#proc_pais").change(function () {
    $("#proc_pais option:selected").each(function () {
        pais_id = $(this).val();
        if (pais_id == 56) {
            $("#proc_provincia").removeAttr('disabled');
            $("#proc_provincia").show();
            $("#proc_provinciatxt").hide();
            $("#proc_cantontxt").hide();
            $("#proc_canton").show();
            combo_procProvincia();
        } else {
            $("#proc_provincia").hide();
            $("#proc_provinciatxt").show();
            $("#proc_canton").hide();
            $("#proc_cantontxt").show();
            $("#proc_provinciatxt").removeAttr('disabled');
            $("#proc_cantontxt").removeAttr('disabled');
        }
    })
})

$("#proc_provincia").change(function () {
    $("#proc_provincia option:selected").each(function () {
        prov_id = $(this).val();
        $("#proc_canton").removeAttr('disabled');
        combo_procCanton();
    })
})

function editar(personadbk) {
    $('#option-academico').show();
    $('#option-discapacidad').show();
    $('#option-residencia').show();
    $('#option-procedencia').show();
    $.post("../../controller/persona.php?op=mostrar_persona", {personadbk: personadbk}, function (data) {
        data = JSON.parse(data);
        $('#personadbk').val(data.personadbk);
        $('#personadbkA').val(data.personadbk);
        $('#personadbkD').val(data.personadbk);
        $('#personadbkR').val(data.personadbk);
        $('#personadbkP').val(data.personadbk);
        $('#tipoDocumentoId').val(data.tipoDocumentoId).trigger("change");
        $('#identificacion').val(data.identificacion);
        $('#pnombre').val(data.pnombre);
        $('#snombre').val(data.snombre);
        $('#papellido').val(data.papellido);
        $('#sapellido').val(data.sapellido);
        $('#sexoId').val(data.sexoId).trigger("change");
        $('#generoId').val(data.generoId).trigger("change");
        $('#estadoCivilId').val(data.estadoCivilId).trigger("change");
        $('#etniaId').val(data.etniaId).trigger("change");
        $('#puebloNacionalidadId').val(data.puebloNacionalidadId).trigger("change");
        $('#tipoSangre').val(data.tipoSangre).trigger("change");
        $('#lugarNacimiento').val(data.lugarNacimiento);
        $('#fechaNacimiento').val(data.fechaNacimiento);
        $('#nacionalidad').val(data.nacionalidad);
        $('#email').val(data.email);
        $('#emailInstitucional').val(data.emailInstitucional);
        $('#numcel').val(data.numcel);
        $('#contactoEmergencia').val(data.contactoEmergencia);
        $('#telefonoContactoEmergencia').val(data.telefonoContactoEmergencia);
        $('#tipo').val(data.tipo).trigger("change");
        $('#tipoColegioId').val(data.tipoColegioId).trigger("change");
        $('#colegioProviene').val(data.colegioProviene);
        $('#ubicacionColegio').val(data.ubicacionColegio);
        $('#tituloBachillerato').val(data.tituloBachillerato);
        $('#anioGraduacion').val(data.anioGraduacion);
        $('#notaBachillerato').val(data.notaBachillerato);
        $('#otroTitulo').val(data.otroTitulo).trigger("change");
        $('#nivel').val(data.nivel).trigger("change");
        $('#otraCarrera').val(data.otraCarrera).trigger("change");
        $('#otraInstitucion').val(data.otraInstitucion);
        $('#discapacidadId').val(data.discapacidadId).trigger("change");
        $('#porcentajeDiscapacidad').val(data.porcentajeDiscapacidad);
        $('#numCarnetConadis').val(data.numCarnetConadis);
        $('#tipoDiscapacidadId').val(data.tipoDiscapacidadId);
        $('#res_pais').val(data.res_pais);
        $('#res_parroquia').val(data.res_parroquia);
        $('#res_barrio').val(data.res_barrio);
        $('#res_zona').val(data.res_zona);
        $('#res_direccion').val(data.res_direccion);
        $('#res_telefono').val(data.res_telefono);
        $('#proc_pais').val(data.proc_pais);
        $('#proc_parroquia').val(data.proc_parroquia);
        $('#proc_barrio').val(data.proc_barrio);
        $('#proc_zona').val(data.proc_zona);
        $('#proc_direccion').val(data.proc_direccion);
        if ($('#res_pais').val() == 56) {
            $('#res_provincia').val(data.res_provincia);
            $('#res_canton').val(data.res_canton);
            $('#res_provinciatxt').hide();
            $('#res_cantontxt').hide();
        } else {
            $('#res_provinciatxt').val(data.res_provincia);
            $('#res_cantontxt').val(data.res_canton);
            $('#res_provincia').hide();
            $('#res_canton').hide();
        }
        if ($('#proc_pais').val() == 56) {
            $('#proc_provincia').val(data.proc_provincia);
            $('#proc_canton').val(data.proc_canton);
            $('#proc_provinciatxt').hide();
            $('#proc_cantontxt').hide();
        } else {
            $('#proc_provinciatxt').val(data.proc_provincia);
            $('#proc_cantontxt').val(data.proc_canton);
            $('#proc_provincia').hide();
            $('#proc_canton').hide();
        }
    });
    $('#lblTitulo').html('Editar Datos Personales');
    $('#mantenimiento').modal('show');
}
function nuevo() {
    $('#personadbk').val('');
    $('#sexoId').val('').trigger('change');
    $('#generoId').val('').trigger('change');
    $('#estadoCivilId').val('').trigger('change');
    $('#etniaId').val('').trigger('change');
    $('#puebloNacionalidadId').val('').trigger('change');
    $('#tipoSangre').val('').trigger('change');
    $('#lblTitulo').html('Nuevo Registro');
    $('#formPersonal')[0].reset();
    $('#formAcademico')[0].reset();
    $('#option-academico').hide();
    $('#formDiscapacidad')[0].reset();
    $('#option-discapacidad').hide();
    $('#formResidencia')[0].reset();
    $('#option-residencia').hide();
    $('#formProcedencia')[0].reset();
    $('#option-procedencia').hide();
    $('#mantenimiento').modal('show');
}
function eliminar(personadbk) {
    swal.fire({
        title: "Eliminar",
        text: "Desea Eliminar el Registro en todas las tablas registradas?",
        icon: "error",
        confirmButtonText: "Si",
        showCancelButton: true,
        cancelButtonText: "No",
    }).then((result) => {
        if (result.value) {
            $.post("../../controller/persona.php?op=eliminar", {personadbk: personadbk}, function (data) {
                $('#persona-data').DataTable().ajax.reload();
                Swal.fire({
                    title: 'Operacion Exitosa',
                    text: 'El registro se elimino correctamente',
                    icon: 'success',
                    confirmButtonText: 'Aceptar'
                })
            });
        }
    });
}